### Index

- _IsNumber (src/.../is-number.ts)
- check (src/.../is-complex.ts)
- checkError (src/.../is-complex.ts)
- ControlAsyncValidator (src/.../control-async-validator.ts)
- ControlChange (src/.../control-change.ts)
- controlDisabled$ (src/.../control-actions.ts)
- controlDisabledWhile (src/.../control-actions.ts)
- controlEnabled$ (src/.../control-actions.ts)
- controlEnabledWhile (src/.../control-actions.ts)
- controlErrorChanges$ (src/.../control-actions.ts)
- controlReadonly$ (src/.../control-actions.ts)
- ControlSetValue (src/.../control-set-value.ts)
- controlStatusChanges$ (src/.../control-actions.ts)
- ControlValidator (src/.../control-validator.ts)
- controlValueChanges$ (src/.../control-actions.ts)
- create (src/.../is-complex.ts)
- disableControl (src/.../control-actions.ts)
- enableControl (src/.../control-actions.ts)
- getControlValue (src/.../control-actions.ts)
- hasErrorAndDirty (src/.../control-actions.ts)
- hasErrorAndTouched (src/.../control-actions.ts)
- initGenerator (src/.../generator.ts)
- inOperator (src/.../is-complex.ts)
- IsArray (src/.../is-array.ts)
- IsBoolean (src/.../is-boolean.ts)
- IsComplex (src/.../is-complex.ts)
- IsDate (src/.../is-date.ts)
- IsEmail (src/.../is-email.ts)
- IsEnum (src/.../is-enum.ts)
- IsInt (src/.../is-int.ts)
- IsIP (src/.../is-ip.ts)
- isNumber (src/.../is-number.ts)
- IsNumber (src/.../is-number.ts)
- IsObject (src/.../is-object.ts)
- IsPhoneNumber (src/.../is-phone-number.ts)
- IsPort (src/.../is-port.ts)
- IsString (src/.../is-string.ts)
- IsUrl (src/.../is-url.ts)
- IsUUID (src/.../is-uuid.ts)
- markAllDirty (src/.../control-actions.ts)
- markAllPristine (src/.../control-actions.ts)
- markAllUntouched (src/.../control-actions.ts)
- mergeControlValidators (src/.../control-actions.ts)
- RxapForm (src/.../form.ts)
- selectControlValue$ (src/.../control-actions.ts)
- ToFormMethod (src/.../models.ts)
- ToFormSubmitMethod (src/.../models.ts)
- UseFormArrayControl (src/.../use-form-array.ts)
- UseFormArrayGroup (src/.../use-form-array.ts)
- UseFormControl (src/.../use-form-control.ts)
- UseFormGroup (src/.../use-form-group.ts)
- validateControlOn (src/.../control-actions.ts)

### src/lib/validators/is-number.ts

###

_IsNumber
`_IsNumber(__namedParameters: {message: string, options: IsNumberOptions})`

Parameters :

Name | Type | Optional
message | `string` | No
options | `IsNumberOptions` | No

isNumber
`isNumber(value, options: IsNumberOptions)`

Checks if a given value is a number.

Parameters :

Name | Type | Optional | Default value
value |  | No |
options | `IsNumberOptions` | No | `{}`

Returns : `number`

IsNumber
use RxapValidators.isNumber() instead
`IsNumber(control: AbstractControl)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No

Returns : `ValidationErrors | null`

### src/lib/validators/is-complex.ts

###

check
`check(str: string, regexStringOrOptions)`

Parameters :

Name | Type | Optional
str | `string` | No
regexStringOrOptions |  | No

checkError
`checkError(str: string, options: ComplexityOptions)`

Parameters :

Name | Type | Optional
str | `string` | No
options | `ComplexityOptions` | No

create
`create(options: ComplexityOptions)`

Parameters :

Name | Type | Optional
options | `ComplexityOptions` | No

Returns : `string`

inOperator
`inOperator(k: K, o: T)`

Parameters :

Name | Type | Optional
k | `K` | No
o | `T` | No

Returns : `Discriminate<T | K>`

IsComplex
`IsComplex(__namedParameters: {message: string, options: ComplexityOptions})`

Parameters :

Name | Type | Optional
message | `string` | No
options | `ComplexityOptions` | No

### src/lib/decorators/control-async-validator.ts

###

ControlAsyncValidator
`ControlAsyncValidator(...controlIds: undefined)`

Parameters :

Name | Optional
controlIds | No

### src/lib/decorators/control-change.ts

###

ControlChange
`ControlChange(...controlIds: undefined)`

Parameters :

Name | Optional
controlIds | No

### src/lib/control-actions.ts

###

controlDisabled$
`controlDisabled$(control: AbstractControl)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No

Returns : `Observable<boolean>`

controlDisabledWhile
`controlDisabledWhile(control: AbstractControl, observable: Observable, opts?: ControlOptions)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No
observable | `Observable` | No
opts | `ControlOptions` | Yes

Returns : `Subscription`

controlEnabled$
`controlEnabled$(control: AbstractControl)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No

Returns : `Observable<boolean>`

controlEnabledWhile
`controlEnabledWhile(control: AbstractControl, observable: Observable, opts?: ControlOptions)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No
observable | `Observable` | No
opts | `ControlOptions` | Yes

Returns : `Subscription`

controlErrorChanges$
`controlErrorChanges$(control: AbstractControl)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No

Returns : `Observable<E | null>`

controlReadonly$
`controlReadonly$(control: AbstractControl)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No

Returns : `Observable<boolean>`

controlStatusChanges$
`controlStatusChanges$(control: AbstractControl)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No

Returns : `Observable<ControlState>`

controlValueChanges$
`controlValueChanges$(control: AbstractControl)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No

Returns : `Observable<T>`

disableControl
`disableControl(control: AbstractControl, disabled: boolean, opts?: ControlOptions)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No
disabled | `boolean` | No
opts | `ControlOptions` | Yes

Returns : `void`

enableControl
`enableControl(control: AbstractControl, enabled: boolean, opts?: ControlOptions)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No
enabled | `boolean` | No
opts | `ControlOptions` | Yes

Returns : `void`

getControlValue
`getControlValue(control: AbstractControl)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No

Returns : `T`

hasErrorAndDirty
`hasErrorAndDirty(control: AbstractControl, error: string, path?: ControlPath)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No
error | `string` | No
path | `ControlPath` | Yes

Returns : `boolean`

hasErrorAndTouched
`hasErrorAndTouched(control: AbstractControl, error: string, path?: ControlPath)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No
error | `string` | No
path | `ControlPath` | Yes

Returns : `boolean`

markAllDirty
`markAllDirty(control)`

Parameters :

Name | Optional
control | No

Returns : `void`

markAllPristine
`markAllPristine(control)`

Parameters :

Name | Optional
control | No

Returns : `void`

markAllUntouched
`markAllUntouched(control)`

Parameters :

Name | Optional
control | No

Returns : `void`

mergeControlValidators
`mergeControlValidators(control: Control, validators)`

Parameters :

Name | Type | Optional
control | `Control` | No
validators |  | No

Returns : `void`

selectControlValue$
`selectControlValue$(control, mapFn)`

Parameters :

Name | Optional
control | No
mapFn | No

Returns : `Observable<R>`

validateControlOn
`validateControlOn(control: AbstractControl, validation: Observable)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No
validation | `Observable` | No

Returns : `Subscription`

### src/lib/decorators/control-set-value.ts

###

ControlSetValue
`ControlSetValue(controlId: string, options: Omit)`

Parameters :

Name | Type | Optional | Default value
controlId | `string` | No |
options | `Omit` | No | `{}`

### src/lib/decorators/control-validator.ts

###

ControlValidator
`ControlValidator(...controlIds: undefined)`

Parameters :

Name | Optional
controlIds | No

### src/generators/init/generator.ts

###

initGenerator
`initGenerator(tree: Tree, options: InitGeneratorSchema)`

Parameters :

Name | Type | Optional
tree | `Tree` | No
options | `InitGeneratorSchema` | No

### src/lib/validators/is-array.ts

###

IsArray
`IsArray(__namedParameters: {message: string})`

Parameters :

Name | Type | Optional
message | `string` | No

### src/lib/validators/is-boolean.ts

###

IsBoolean
`IsBoolean(__namedParameters: {message: string})`

Parameters :

Name | Type | Optional
message | `string` | No

### src/lib/validators/is-date.ts

###

IsDate
`IsDate(__namedParameters: {message: string})`

Parameters :

Name | Type | Optional
message | `string` | No

### src/lib/validators/is-email.ts

###

IsEmail
`IsEmail(__namedParameters: {message: string, options: IsEmailOptions})`

Parameters :

Name | Type | Optional
message | `string` | No
options | `IsEmailOptions` | No

### src/lib/validators/is-enum.ts

###

IsEnum
`IsEnum(__namedParameters: {message: string, entity: any})`

Parameters :

Name | Type | Optional
message | `string` | No
entity | `any` | No

### src/lib/validators/is-int.ts

###

IsInt
`IsInt(__namedParameters: {message: string, options: IsNumberOptions})`

Parameters :

Name | Type | Optional
message | `string` | No
options | `IsNumberOptions` | No

### src/lib/validators/is-ip.ts

###

IsIP
`IsIP(__namedParameters: {message: string, version: string | number})`

Parameters :

Name | Type | Optional
message | `string` | No
version | `string | number` | No

### src/lib/validators/is-object.ts

###

IsObject
`IsObject(__namedParameters: {message: string})`

Parameters :

Name | Type | Optional
message | `string` | No

### src/lib/validators/is-phone-number.ts

###

IsPhoneNumber
`IsPhoneNumber(__namedParameters: {message: string, locale: "any" | MobilePhoneLocale | MobilePhoneLocale[], options: IsMobilePhoneOptions})`

Parameters :

Name | Type | Optional
message | `string` | No
locale | `"any" | MobilePhoneLocale | MobilePhoneLocale[]` | No
options | `IsMobilePhoneOptions` | No

### src/lib/validators/is-port.ts

###

IsPort
`IsPort(__namedParameters: {message: string})`

Parameters :

Name | Type | Optional
message | `string` | No

### src/lib/validators/is-string.ts

###

IsString
`IsString(__namedParameters: {message: string})`

Parameters :

Name | Type | Optional
message | `string` | No

### src/lib/validators/is-url.ts

###

IsUrl
`IsUrl(__namedParameters: {message: string, options: IsURLOptions})`

Parameters :

Name | Type | Optional
message | `string` | No
options | `IsURLOptions` | No

### src/lib/validators/is-uuid.ts

###

IsUUID
`IsUUID(__namedParameters: {message: string, version: string})`

Parameters :

Name | Type | Optional | Default value
message | `string` | No |
version | `string` | No | `'all'`

### src/lib/decorators/form.ts

###

RxapForm
`RxapForm(optionsOrId, className: string, packageName: string)`

Parameters :

Name | Type | Optional | Default value
optionsOrId |  | No |
className | `string` | No | `'FormDefinition'`
packageName | `string` | No | `'@rxap/forms'`

### src/lib/directives/models.ts

###

ToFormMethod
`ToFormMethod(call)`

Parameters :

Name | Optional
call | No

Returns : `Method<R, P>`

ToFormSubmitMethod
use ToFormMethod instead
`ToFormSubmitMethod(call)`

Parameters :

Name | Optional | Description
call | No | the call method implementation

Returns : `FormSubmitMethod<T>`

### src/lib/decorators/use-form-array.ts

###

UseFormArrayControl
`UseFormArrayControl(options: RxapAbstractControlOptions)`

Parameters :

Name | Type | Optional | Default value
options | `RxapAbstractControlOptions` | No | `{}`

UseFormArrayGroup
`UseFormArrayGroup(definition: Constructor, options: RxapAbstractControlOptions)`

Parameters :

Name | Type | Optional | Default value
definition | `Constructor` | No |
options | `RxapAbstractControlOptions` | No | `{}`

### src/lib/decorators/use-form-control.ts

###

UseFormControl
`UseFormControl(options: RxapAbstractControlOptions)`

Parameters :

Name | Type | Optional | Default value
options | `RxapAbstractControlOptions` | No | `{}`

### src/lib/decorators/use-form-group.ts

###

UseFormGroup
`UseFormGroup(definition: Constructor, options: RxapAbstractControlOptions)`

Parameters :

Name | Type | Optional | Default value
definition | `Constructor` | No |
options | `RxapAbstractControlOptions` | No | `{}`

# results matching ""

# No results matching ""